#### PyKDE - Python Bindings for KDE

# class KIO.DavJob |
Table of contents
Modules
kio Classes
All Classes

Module | kio
Class | KIO.DavJob
Inherits | KIO.TransferJob

### methods

- DavJob (url, method, request, showProgressInfo)

  returns a DavJob instance
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  url | KURL |
  method | int |
  request | QString |
  showProgressInfo | bool |

- response ()

  returns (QDomDocument)
  In versions KDE 3.1.0 and above only

- slotData (data)

  returns nothing
  In versions KDE 3.1.0 and above only
  Argument | Type | Default
  --- | --- | ---
  data | QByteArray |

- slotFinished ()

  returns nothing
  In versions KDE 3.1.0 and above only